## valderman-haste-compiler.zip

=== examples/calculator/Makefile ===
calculator.js: calculator.hs
	hastec calculator.hs

clean:
	rm -r main calculator.js calculator.o calculator.hi

=== examples/canvas-simple/Makefile ===
canvas-simple.js: canvas-simple.hs
	hastec -Wall -fno-warn-unused-do-bind canvas-simple.hs

clean:
	rm -r main canvas-simple.js canvas-simple.o canvas-simple.hi

=== examples/canvas/Makefile ===
canvas.js: canvas.hs
	hastec -Wall -fno-warn-unused-do-bind canvas.hs

clean:
	rm -r main canvas.js canvas.o canvas.hi

=== examples/chatbox/Makefile ===
all: chatbox chatbox.js

chatbox.js: chatbox.hs
	hastec chatbox.hs

chatbox:
	ghc --make chatbox.hs

clean:
	-rm -r main
	-rm *~
	-rm chatbox.hi
	-rm chatbox.o

distclean: clean
	-rm chatbox
	-rm chatbox.js

=== examples/concurrency/Makefile ===
counter.js: counter.hs
	hastec counter.hs

clean:
	rm -r main counter.js counter.o counter.hi

=== examples/ffi/Makefile ===
ffi.js: ffi.hs
	hastec ffi.hs --debug --opt-whole-program

clean:
	rm -r main ffi.js ffi.o ffi.hi

=== examples/haste-app/Makefile ===
all: haste-app haste-app.js

haste-app.js: haste-app.hs
	hastec haste-app.hs

haste-app:
	ghc --make haste-app.hs

clean:
	-rm -r main
	-rm *~
	-rm haste-app.hi
	-rm haste-app.o

distclean: clean
	-rm haste-app
	-rm haste-app.js

=== examples/list/Makefile ===
list.js: list.hs
	hastec list.hs

clean:
	rm -r main list.js list.o list.hi

=== examples/sendfile/Makefile ===
all: sendfile sendfile.js

sendfile.js: sendfile.hs
	hastec sendfile.hs

sendfile:
	ghc --make sendfile.hs

clean:
	-rm -r main
	-rm *~
	-rm sendfile.hi
	-rm sendfile.o

distclean: clean
	-rm sendfile
	-rm sendfile.js

=== utils/genprimopcode/Makefile ===
genprimopcode: ParserM.hs Parser.hs Lexer.hs Syntax.hs Main.hs
	ghc --make Main.hs -o genprimopcode

Parser.hs: Parser.y
	happy Parser.y

Lexer.hs: Lexer.x
	alex Lexer.x

=== debian/changelog ===
haste-compiler (0.6.0.0) UNRELEASED; urgency=medium

  * 0.6 release

 -- Anton Ekblad <anton@ekblad.cc>  Wed, 22 Jun 2016 15:51:13 +0200

=== debian/control ===
Source: haste-compiler
Maintainer: Anton Ekblad <anton@ekblad.cc>
Section: devel
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9)

Package: haste-compiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ghc:Depends}
Description: Haskell to JavaScript compiler
 Compiles Haskell programs into self contained JavaScript files. Supports
 standard Haskell2010 as well as most GHC extensions, and comes with
 a basic set of libraries geared towards web development.

=== debian/rules ===
#!/usr/bin/make -f

GHCDEPS=$(shell runghc build-release.hs --debghcdeps)

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- -Vghc:Depends="$(GHCDEPS)"
